## emacs-wgrep 2.3.2+9.gf0ef9bf

=== Makefile ===
EMACS = emacs

check: compile
	$(EMACS) -q -batch -L . -l wgrep.el -l wgrep-test.el -f ert-run-tests-batch-and-exit
	$(EMACS) -q -batch -L . -l wgrep.elc -l wgrep-test.el -f ert-run-tests-batch-and-exit

check2: check download-external subtest

subtest:
	$(EMACS) -q -batch \
		-L . -L ./ext -l wgrep.el -l wgrep-ag.el -l wgrep-helm.el -l wgrep-ack.el -l wgrep-pt.el \
		-l ext/ag.el \
		-l wgrep-test.el -l wgrep-subtest.el \
		-eval "(ert-run-tests-batch-and-exit '(tag wgrep-subtest))"
	$(EMACS) -q -batch \
		-L . -L ./ext -l wgrep.elc -l wgrep-ag.elc -l wgrep-helm.elc -l wgrep-ack.elc -l wgrep-pt.elc \
		-l ext/ag.el \
		-l wgrep-test.el -l wgrep-subtest.el \
		-eval "(ert-run-tests-batch-and-exit '(tag wgrep-subtest))"

download-external: clean-ext
	mkdir -p ext
	cd ext && wget "https://github.com/Wilfred/ag.el/raw/master/ag.el"
	cd ext && wget "https://github.com/magnars/dash.el/raw/master/dash.el"
	cd ext && wget "https://github.com/magnars/s.el/raw/master/s.el"

compile:
	$(EMACS) -q -batch -L . -f batch-byte-compile \
		wgrep.el wgrep-ag.el wgrep-helm.el wgrep-ack.el wgrep-pt.el

clean-ext:
	rm -rf ext

clean:
	rm -f *.elc

=== debian/changelog ===
emacs-wgrep (2.3.2+9.gf0ef9bf-2) unstable; urgency=medium

  * Mention helm-ag in elpa-wgrep-helm's long description.
  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 24 Jul 2020 19:44:26 -0400

emacs-wgrep (2.3.2+9.gf0ef9bf-1) unstable; urgency=medium

  * Initial release. (Closes: #944986)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 10 Jun 2020 21:10:28 -0400

=== debian/control ===
Source: emacs-wgrep
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , elpa-ag <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/mhayashi1120/Emacs-wgrep
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-wgrep
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-wgrep.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-wgrep
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master grep pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package provides the core library and wgrep-mode.

Package: elpa-wgrep-ack
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, ack
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master ack pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enables support for Ack.

Package: elpa-wgrep-ag
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, silversearcher-ag
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers using a master ag pattern buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enables support for The Silver Searcher.

Package: elpa-wgrep-helm
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: edit multiple Emacs buffers with a helm-grep-mode buffer
 Wgrep provides master pattern buffers that are then used to edit multiple
 Emacs buffers simultaneously.  In this sense it is like what a REPL for sed
 would look like.  With the exception of "pattern buffers" it is similar to
 the Emacs built-in functions `replace-regexp` and `query-replace`.  Wgrep
 also provides backends that use Ack and The Silver Searcher.
 .
 This package enhances helm-grep-mode buffers with Wgrep's facilities, and is
 similar to helm-ag.

## emacs-wgrep 3.0.0

=== Makefile ===
-include env.mk

EMACS ?= emacs
BATCH := $(EMACS) -q -batch -L .

TEST_BATCH := $(BATCH) -l $(DASH-EL) -l $(S-EL)

# NOTE: This come from `pacakge-lint/run-tests.sh`
LINT_BATCH := $(BATCH) -eval "(progn \
   (require 'package) \
   (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
   (package-initialize) \
   (package-refresh-contents))"

EL = wgrep.el
EL += wgrep-ack.el
EL += wgrep-ag.el
EL += wgrep-helm.el
EL += wgrep-pt.el

ELC := $(EL:%.el=%.elc)

LOAD_EL := $(EL:%=-l %)
LOAD_ELC := $(ELC:%=-l %)

GENERATED := *.elc

###
### General target
###

all: check

check: compile
	$(TEST_BATCH) -l wgrep.el -l wgrep-test.el -f ert-run-tests-batch-and-exit
	$(TEST_BATCH) -l wgrep.elc -l wgrep-test.el -f ert-run-tests-batch-and-exit

compile:
	$(BATCH) -f batch-byte-compile $(EL)

clean:
	rm -f $(GENERATED)

###
### for Package maintainer
###

lint:
	$(LINT_BATCH) -l $(PACKAGE-LINT-EL) -f package-lint-batch-and-exit $(EL)

check-extra: check subtest

subtest:
	$(TEST_BATCH) \
		-l $(AG-EL) \
		$(LOAD_EL) \
		-l wgrep-test.el -l wgrep-subtest.el \
		-eval "(ert-run-tests-batch-and-exit '(tag wgrep-subtest))"
	$(TEST_BATCH) \
		-l $(AG-EL) \
		$(LOAD_ELC) \
		-l wgrep-test.el -l wgrep-subtest.el \
		-eval "(ert-run-tests-batch-and-exit '(tag wgrep-subtest))"

package: lint check check-extra compile
	@echo ""
	@echo "======================================="
	@echo "Successfuly finished package build. "
	@echo "Maintainer should add correct `git tag` each pacakges."
	@echo "======================================="
	@echo ""

=== debian/changelog ===
emacs-wgrep (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Drop version qualifier from the Recommends for emacs, because even oldstable
    has a new enough version.
  * Update upstream copyright years.
  * Declare Standards-Version 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 14 Feb 2023 18:53:31 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/Emacs-wgrep-$1.tar.gz/" \
    https://github.com/mhayashi1120/Emacs-wgrep/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-wgrep 3.0.0+20.g208b9d0

=== Makefile ===
###
### Package
###

-include env.mk

NEEDED-PACKAGES ?= dash ag s

EL := wgrep.el
EL += wgrep-ack.el
EL += wgrep-ag.el
EL += wgrep-helm.el
EL += wgrep-pt.el
EL += wgrep-deadgrep.el

TEST_EL := wgrep-test.el
TEST_EL += wgrep-test-helper.el

##
## Emacs
##

EMACS ?= emacs

BATCH := $(EMACS) -Q -batch -L .

##
## package.el
##

ifdef ELPA-DIR
	BATCH += -eval "(setq package-user-dir (expand-file-name \"$(ELPA-DIR)\"))"
endif

# This come from `package-lint/run-tests.sh`
define package-installer
  "(progn \
   (require 'package) \
   (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
   (package-initialize) \
   (package-refresh-contents) \
   (dolist (pkg '($(1))) \
    (unless (package-installed-p pkg) \
      (package-install pkg))))"
endef

###
### Command
###

BUILD_BATCH := $(BATCH) -eval "(require 'package)" -f package-initialize
ifndef EMACS_LINT_IGNORE
	BUILD_BATCH += -eval "(setq byte-compile-error-on-warn t)"
endif

ifdef EMACS_LINT_IGNORE
	LINT_BATCH := true
else
	LINT_BATCH := $(BATCH) -eval $(call package-installer, package-lint)
endif

CI_BATCH := $(BATCH) -eval $(call package-installer, package-lint $(NEEDED-PACKAGES))

###
### Files
###

ELC := $(EL:%.el=%.elc)
BUILD_GENERATED := *.elc
MAINTAINER_GENERATED := elpa *~

LOAD_EL := $(EL:%=-l %)
LOAD_ELC := $(ELC:%=-l %)

LOAD_TEST_EL := $(TEST_EL:%=-l %)

###
### General rule
###

.PHONY: all check compile clean

all: check

check: compile
	$(BUILD_BATCH) $(LOAD_EL) $(LOAD_TEST_EL) -f ert-run-tests-batch-and-exit
	$(BUILD_BATCH) $(LOAD_ELC) $(LOAD_TEST_EL) -f ert-run-tests-batch-and-exit

compile:
	$(BUILD_BATCH) -f batch-byte-compile $(EL)

clean:
	rm -rf $(BUILD_GENERATED)

###
### Maintainer rule
###

.PHONY: lint package maintainer-clean

lint:
	$(LINT_BATCH) -f package-lint-batch-and-exit $(EL)

package: lint check


maintainer-clean: clean
	rm -rf $(MAINTAINER_GENERATED)

###
### CI/CD rule
###

.PHONY: ci prepare-cicd

ci: prepare-cicd package

prepare-cicd:
	$(CI_BATCH)

=== debian/changelog ===
emacs-wgrep (3.0.0+20.g208b9d0-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Keep wgrep-test-helper.el in autopkgtest to fix missing file issue.
  * Add d/upstream/metadata.

  [ Xiyue Deng and Nicholas D Steeves ]
  * Import additional upstream work on wgrep-test and wgrep-test-helper, and
    squash it into 0002-fix-test-extra-loading.patch.

  [ Nicholas D Steeves ]
  * Import a snapshot of upstream at commit:208b9d0, because it appears that
    upstream intended for b36bf59 (three commits prior) to be 3.0.1.  Of the
    work since then, one commit is a bugfix for tests, one is Emacs 28
    linting, and one is irrelevant to the Debian package.
  * Rebase quilt series onto this snapshot.
  * Drop 0002-fix-test-extra-loading.patch.
  * Add 0002-Skip-wgrep-deadgrep-normal.patch.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 23 Jan 2024 14:20:40 -0500

emacs-wgrep (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Add patch to move common test utility to a separate module to avoid
    double loading existing ert-deftests. (Closes: #1057559)
  * Add Upstream-Contact to d/copyright.

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 06 Dec 2023 17:09:52 -0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , elpa-ag <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/mhayashi1120/Emacs-wgrep
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-wgrep
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-wgrep.git
@@ -16,7 +16,7 @@
 Package: elpa-wgrep
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master grep pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -30,7 +30,7 @@
 Package: elpa-wgrep-ack
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, ack
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master ack pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -44,7 +44,7 @@
 Package: elpa-wgrep-ag
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, silversearcher-ag
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers using a master ag pattern buffer
  Wgrep provides master pattern buffers that are then used to edit multiple
@@ -58,7 +58,7 @@
 Package: elpa-wgrep-helm
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: edit multiple Emacs buffers with a helm-grep-mode buffer
  Wgrep provides master pattern buffers that are then used to edit multiple

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Ignoring upstream Makefile and building/installing with dh-elpa.
